### Function

# GLib HookCheckMarshaller

since: 2.0

#### Declaration

    gboolean
    (* GHookCheckMarshaller) (
      GHook* hook,
      gpointer marshal_data
    )

#### Description

Defines the type of function used by g_hook_list_marshal_check().

Available since: 2.0

#### Parameters

`hook`

  Type: `GHook`

  A `GHook`.

  The data is owned by the caller of the function.

`marshal_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`FALSE` if `hook` should be destroyed.